Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007975 [DCSS] Bug Report minor unable to reproduce 2014-01-12 02:20 2015-05-16 05:46
Reporter Skrybe View Status public  
Assigned To wheals
Priority normal Resolution done  
Status closed   Product Branch 0.13 ancient branch
Summary 0007975: Non-confused black Dr targeted self w/ lightning
Description
The black draconian zealot breathes lightning at itself.
The bolt of lightning hits the black draconian zealot.
Saving game... please wait.

#  #..#
#  #..#
#  #..#
####..#
......#
#####.#####
..........#
#####.###.#
    #.# #.#
    #.###.##
    #.##.(.####
 ####.((.#....#
 #.........##[#
 #.######..##@#
 #.# ####..##d#
 #.# #....>#0000003#
##.###........#
..........)...#
##.###.###.##.#
...###.###.##.#
##.........##.#
 #.###.######.#
 #.# #.#    #.#
 #.# #.#    #.#
 #.###.#   ##.######
 #..##.#   #.......#


The draconian wasn't confused, so I don't know why it would aim at itself. Maybe it was trying to target so a bounce wouldn't hit the smoke demon behind it? Though, is there any good reason that non-confused creatures should even be allowed to have themselves as a valid target for something like lightning?

I'm assuming this should go under 0007071.
Additional Information
Tags No tags attached.
Attached Files ? file icon Lupus.cs [^] (2,007,401 bytes) 2014-01-12 02:20

- Relationships
related to 0008334resolvedwheals Unconfused mottled knight spits at itself. 

-  Notes
(0028666)
wheals (administrator)
2015-03-19 16:49

Pretty sure these were fixed with the monster spell slots rewrite.

- Issue History
Date Modified Username Field Change
2014-01-12 02:20 Skrybe New Issue
2014-01-12 02:20 Skrybe File Added: Lupus.cs
2014-04-01 00:54 MarvinPA Relationship added related to 0008334
2015-03-19 16:49 wheals Note Added: 0028666
2015-03-19 16:49 wheals Status new => resolved
2015-03-19 16:49 wheals Fixed in Branch => 0.16 pre-release branch
2015-03-19 16:49 wheals Resolution open => done
2015-03-19 16:49 wheals Assigned To => wheals
2015-05-16 05:46 Skrybe Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker